can't install libpar2 bugfix to install nzbget v13

Get help, report and discuss bugs.
Post Reply
jkoel
Posts: 21
Joined: 31 Dec 2013, 17:41

can't install libpar2 bugfix to install nzbget v13

Post by jkoel » 24 Aug 2014, 12:45

hi,

because webui doesn't start after i installed nzbget 11 on my raspberry pi (http://nzbget.net/forum/viewtopic.php?f=3&t=1417) i've tried to install nzbget v13 on a restored raspbian-image (created before i installed nzbget v11). i installed libpar2-0-dev with apt-get and downloaded this archive http://sourceforge.net/projects/parchiv ... 0.2.tar.gz. after that i did

Code: Select all

tar -xvf libpar2-0.2.tar.gz && cd libpar2-0.2
cp /nzbget-install/nzbget-11.0/libpar2-0.2-*.patch .
but there are no files named 'libpar2-0.2-bugfixes.patch' and 'libpar2-0.2-cancel.patch' in that archive. i could find them here https://github.com/tmm1/nzbget/blob/mas ... ncel.patch. i created the files with nano and copied the content in that file and saved. after that i patched libpar2 with 'patch < libpar2-0.2-bugfixes.patch' and 'patch < libpar2-0.2-cancel.patch'. im not sure whetcher this was the right way.

then i started 'sudo ./configure' in nzbget-13.0-directory. but this doesn't work because my "version of libpar2 doesn't include the recent bugfix". i can't find the version 0.4 of libpar2 for raspbian.

so how can i install the right version of libpar2 or the right bugfix to install nzbget 13?

hugbug
Developer & Admin
Posts: 7628
Joined: 09 Sep 2008, 11:58
Location: Germany

Re: can't install libpar2 bugfix to install nzbget v13

Post by hugbug » 24 Aug 2014, 13:06

Doesn't the error message printed by configure include a link where to get libpar2 0.4?

hugbug
Developer & Admin
Posts: 7628
Joined: 09 Sep 2008, 11:58
Location: Germany

Re: can't install libpar2 bugfix to install nzbget v13

Post by hugbug » 24 Aug 2014, 13:09

Or try v14-testing instead, which doesn't require libpar2.

jkoel
Posts: 21
Joined: 31 Dec 2013, 17:41

Re: can't install libpar2 bugfix to install nzbget v13

Post by jkoel » 25 Aug 2014, 10:45

hugbug wrote:Or try v14-testing instead, which doesn't require libpar2.
i'll try v14, thanks.

scottjl
Posts: 5
Joined: 15 May 2014, 19:09

Re: can't install libpar2 bugfix to install nzbget v13

Post by scottjl » 29 Aug 2014, 12:41

i can confirm, grab the latest version of libpar2 from the url provided when you try to configure ( https://launchpad.net/libpar2 if you missed it). build and install that. nzbget v13 will then configure, compile and run just fine. does for me with raspbian.

blindpet
Posts: 42
Joined: 02 May 2014, 10:27
Contact:

Re: can't install libpar2 bugfix to install nzbget v13

Post by blindpet » 30 Aug 2014, 21:59

I had the same exact problem today and solved it in the same way. I detailed the installation steps in Install Nzbget 13.0 Stable Debian. Perhaps updating the wiki to include this information would be a good idea?

Post Reply

Who is online

Users browsing this forum: No registered users and 9 guests